#include "partition.h"
#include <bits/stdc++.h>

using namespace std;

#define rep(i, a, b) for(int i = a; i <= b; i++)
#define pb push_back
#define F first
#define S second
#define pii pair<int, int>
#define ins insert

vector<int> solve(vector<int> A) {
    int n = A.size();
    vector<int> res;
    rep(i, 0, (n - 1) / 2 - 1) res.pb(i);
    res.pb(n - 1);
    rep(i, (n - 1) / 2, n - 2) res.pb(i);
    return res;
}
